<?php ?>
<?php if ($items) { ?>

    <div class="widget_content_list">        
    <?php foreach ($items as $item) { ?>

            <?php
            $file = cmsModel::yamlToArray(($file_field && !empty($item[$file_field])) ? $item[$file_field] : '');
            $url = '/upload/' . $file['path'];
            $is_private = $item['is_private'] && $hide_except_title && !$item['user']['is_friend'];
            if ($is_private) {
                if ($image_field && !empty($item[$image_field])) {
                    $image = default_images('private', 'small');
                }
                $url = '';
            }
            ?>

            <div class="item">
                <div class="info">
                    <div class="title">
                        <?php if ($url and $url!='/upload/') { ?>
                            <a href="<?php echo $url; ?>"><?php html($item['title']); ?></a>
                        <?php } else { ?>
                            <?php html($item['title']); ?>
                        <?php } ?>
                        <?php if ($item['is_private']) { ?>
                            <span class="is_private" title="<?php html(LANG_PRIVACY_HINT); ?>"></span>
                        <?php } ?>
                    </div>
                </div>
            </div>

    <?php } ?>
    </div>

<?php } ?>